# Documentation

Menu

## JoinType : string
in package

JoinType.php : 22

Enum of join types

### Table of Contents

CROSS = 'cross'
INNER = 'inner'
LEFT = 'left'
OUTER = 'outer'
RIGHT = 'right'
parse() : self

### Cases

#### CROSS

JoinType.php : 24

#### INNER

JoinType.php : 25

#### OUTER

JoinType.php : 26

#### LEFT

JoinType.php : 27

#### RIGHT

JoinType.php : 28

### Methods

#### parse()

JoinType.php : 30
`public static parse(string|self $val) : self`

##### Parameters

$val : string|self

##### Return values

self —

## Search results